﻿//------------------------------------------------------------------------------
// <auto-generated>
//    Este código se generó a partir de una plantilla.
//
//    Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//    Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace FanalcaEF
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    using System.Data.Objects;
    using System.Data.Objects.DataClasses;
    using System.Linq;
    
    public partial class FanalcaEntities : DbContext
    {
        public FanalcaEntities()
            : base("name=FanalcaEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public DbSet<FANALCA_AREA> FANALCA_AREA { get; set; }
        public DbSet<FANALCA_SUB_AREA> FANALCA_SUB_AREA { get; set; }
        public DbSet<FANALCA_TIPO_DOCUMENTO> FANALCA_TIPO_DOCUMENTO { get; set; }
        public DbSet<FANALCA_EMPLEADO> FANALCA_EMPLEADO { get; set; }
    
        public virtual ObjectResult<obtenerEmpleadoPorDocumento_Result> obtenerEmpleadoPorDocumento(Nullable<decimal> documento)
        {
            var documentoParameter = documento.HasValue ?
                new ObjectParameter("documento", documento) :
                new ObjectParameter("documento", typeof(decimal));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<obtenerEmpleadoPorDocumento_Result>("obtenerEmpleadoPorDocumento", documentoParameter);
        }
    }
}
